Subject: gcc fixincludes?
From: [email-masked] (euXle)

16 Sep 1997 13:49:45 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

I wanted to run tcpdump on my NT so I tried cygnus gcc to compile.
Before building tcpdump I got to build some libpcap. The configure
script of this terminated with the following:

checking for gcc... gcc
checking whether the C compiler (gcc  ) works... yes
checking whether the C compiler (gcc  ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking gcc version... cygnus-2
../configure: test: integer expression expected before -gt
checking how to run the C preprocessor... gcc -E
checking for malloc.h... no
checking for sys/ioccom.h... no
checking for sys/sockio.h... no
checking for ANSI ioctl definitions... no
configure: error: see the INSTALL for more info

the INSTALL section:

Note well: If you use gcc, you may need to run its "fixincludes"
script. Running fixincludes is not required with later versions of gcc
and in some cases (e.g. Solaris 2.5) causes problems when run. The
configure script will abort with:

    checking for ANSI ioctl definitions... yes
    configure: error: see the INSTALL for more info

if it detects if the fixincludes needs to be run. If the fixincludes
test in configure passes, you're probably ok.

Did not find any fixincludes.

This is the configure.log:

configure:881: checking gcc version
configure:1021: checking how to run the C preprocessor
configure:1042: gcc -E  conftest.c >/dev/null 2>conftest.out
configure:1085: checking for malloc.h
configure:1095: gcc -E  conftest.c >/dev/null 2>conftest.out
configure:1091: malloc.h: No such file or directory
gcc: Internal compiler error: program cpp got fatal signal 33
configure: failed program was:
#line 1090 "configure"
#include "confdefs.h"
#include <malloc.h>
configure:1085: checking for sys/ioccom.h
configure:1095: gcc -E  conftest.c >/dev/null 2>conftest.out
configure:1091: sys/ioccom.h: No such file or directory
gcc: Internal compiler error: program cpp got fatal signal 33
configure: failed program was:
#line 1090 "configure"
#include "confdefs.h"
#include <sys/ioccom.h>
configure:1085: checking for sys/sockio.h
configure:1095: gcc -E  conftest.c >/dev/null 2>conftest.out
configure:1091: sys/sockio.h: No such file or directory
gcc: Internal compiler error: program cpp got fatal signal 33
configure: failed program was:
#line 1090 "configure"
#include "confdefs.h"
#include <sys/sockio.h>
configure:1124: checking for ANSI ioctl definitions
configure:1148: gcc -c -g -O2  conftest.c 1>&5
configure: In function `main':
configure:1142: case label does not reduce to an integer constant
configure:1143: case label does not reduce to an integer constant
gcc: Internal compiler error: program cc1 got fatal signal 33
configure: failed program was:
#line 1129 "configure"
#include "confdefs.h"
/*
		     * This generates a "duplicate case value" when fixincludes
		     * has not be run.
		     */
#		include <sys/types.h>
#		include <sys/time.h>
#		include <sys/ioctl.h>
#		ifdef HAVE_SYS_IOCCOM_H
#		include <sys/ioccom.h>
#		endif
int main() {
switch (0) {
		    case _IO('A', 1):;
		    case _IO('B', 1):;
		    }
; return 0; }

Now how can the problem be solved?
Is it generally possible to get tcpdump run under winNT?
Would be cool...
Thanx for any help.

euXle
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".